%global debug_package %{nil}

%global forgeurl0 https://gitlab.com/ldutils-projects/zombietrackergps
%global forgeurl1 https://gitlab.com/ldutils-projects/ldutils

Version: 1.13

%global tag0 v_%{version}
%global tag1 v_%{version}

# Process all of them at once
%forgemeta -a

Name: zombietrackergps
Release: 1%{?dist}
Summary: GPS track manager using Qt and KDE Marble maps
License: GPL
URL: %{forgeurl0}
Source0: %{forgesource0}
Source1: %{forgesource1}
Patch0: zombietracker-rccfix.patch
BuildRequires: make
BuildRequires: marble-widget-qt5-devel
BuildRequires: pkgconfig(Qt5Charts)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: libstdc++-devel
BuildRequires: glibc-devel
BuildRequires: libgcc

%description
ZombieTrackerGPS is a GPS track manager for KDE.  It can import several
standard GPS formats such as GPX, TCX, and KML, and provides sophisticated
query and filtering abilities, a customizable user interface, and integration
with the KDE Marble Map for use with OpenStreetMap or other map providers.  It
is designed for outdoor sports and recreation activities such as bicycling,
hiking, snowboarding, light aircraft, etc, and includes custom icons for many
popular outdoor activities.

%prep
%forgesetup -a

cd ../zombietrackergps-v_%{version}
%patch0 -p1
cd -

%build
%{qmake_qt5} -o Makefile ldutils.pro -spec linux-g++
%make_build
%make_install

export INSTALL_ROOT=%{buildroot}%{_prefix}

cd ../zombietrackergps-v_%{version}
%{qmake_qt5} -o Makefile ZombieTrackerGPS.pro -spec linux-g++
%make_build
cd -

%install
cd ../zombietrackergps-v_%{version}
%make_install

# Art install conditional doesn't seem to trigger
cp -a build/rcc/*.rcc %{buildroot}%{_datadir}/zombietrackergps/
cd -

%files
%dir %{_docdir}/zombietrackergps
%license %{_docdir}/zombietrackergps/copyright
%{_bindir}/zombietrackergps
%{_datarootdir}/applications/zombietrackergps.desktop
%{_datadir}/zombietrackergps/*.rcc
%{_datadir}/zombietrackergps/docs/
%{_datadir}/zombietrackergps/geoloc/
%dir %{_datadir}/zombietrackergps
%{_datadir}/zombietrackergps/pubkey.asc
%{_datadir}/zombietrackergps/sample/
%{_datadir}/zombietrackergps/zombietrackergps.png

%changelog
* Tue Jan 31 2023 Brandon Nielsen <nielsenb@jetfuse.net> - 1.13-1
- Update to 1.13

* Wed Aug 24 2022 Brandon Nielsen <nielsenb@jetfuse.net> - 1.12-1
- Update to 1.12

* Fri Jul 15 2022 Brandon Nielsen <nielsenb@jetfuse.net> - 1.11-1
- Update to 1.11
- Package art

* Mon Dec 6 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.10-1
- Use forge macros

* Thu Sep 2 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.9-3
- Use forge macros

* Thu Sep 2 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.9-2
- Use pkgconfig where possible

* Sat Jul 31 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.9-1
- Initial specfile
